[Dell M4800] DPMS support broken, fails to wake up the monitor after putting it to sleep

Bug #1268151 reported by Michael Neuffer
66
This bug affects 13 people
Affects Status Importance Assigned to Milestone
xorg (Ubuntu)
Low
Unassigned

Bug Description

With my Dell Precision M4800, GK106GLM [Quadro K2100M], QHD+ display, and either nvidia-graphics-drivers-331 or nvidia-graphics-drivers-319 once the display shuts off, it will not wake up anymore, and the screen stays dark. A cycle of the following will leave the display dark:
xset dpms force off; sleep 30; xset dpms force on

WORKAROUND: A restart of the Xserver will bring back the display.

WORKAROUND: Don't allow DPMS to switch off the display:
xset dpms 0 0 0

xset -q -d :0.0
Keyboard Control:
  auto repeat: on key click percent: 0 LED mask: 00000000
  XKB indicators:
    00: Caps Lock: off 01: Num Lock: off 02: Scroll Lock: off
    03: Compose: off 04: Kana: off 05: Sleep: off
    06: Suspend: off 07: Mute: off 08: Misc: off
    09: Mail: off 10: Charging: off 11: Shift Lock: off
    12: Group 2: off 13: Mouse Keys: off
  auto repeat delay: 500 repeat rate: 20
  auto repeating keys: 00ffffffdffffbbf
                        fadfffefffedffff
                        9fffffffffffffff
                        fff7ffffffffffff
  bell percent: 50 bell pitch: 400 bell duration: 100
Pointer Control:
  acceleration: 2/1 threshold: 4
Screen Saver:
  prefer blanking: yes allow exposures: yes
  timeout: 0 cycle: 0
Colors:
  default colormap: 0x20 BlackPixel: 0x0 WhitePixel: 0xffffff
Font Path:
  /usr/share/fonts/X11/misc,/usr/share/fonts/X11/100dpi/:unscaled,/usr/share/fonts/X11/Type1,/usr/share/fonts/X11/100dpi,built-ins
DPMS (Energy Star):
  Standby: 0 Suspend: 0 Off: 0
  DPMS is Enabled
  Monitor is On

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: nvidia-331 331.20-0ubuntu9
ProcVersionSignature: Ubuntu 3.11.0-15.23-generic 3.11.10
Uname: Linux 3.11.0-15-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.13.1-0ubuntu1
Architecture: amd64
Date: Sat Jan 11 12:06:30 2014
InstallationDate: Installed on 2014-01-07 (3 days ago)
InstallationMedia: Xubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016)
SourcePackage: nvidia-graphics-drivers-331
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
Michael Neuffer (neuffer) wrote :
description: updated
description: updated
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: New → Confirmed
Revision history for this message
Marius B. Kotsbak (mariusko) wrote :

Hmm, I wonder if this is the same I see with my M4800 running 12.04 LTS. A workaround for me is typing "CTRL-ALT-F1" and then "CTRL-ALT-F7". Does this work for you too?

tags: added: precise
Revision history for this message
Michael Neuffer (neuffer) wrote : Re: [Bug 1268151] Re: DPMS support broken, fails to wake up the monitor after putting it to sleep

On 24.03.2014 12:33, Marius B. Kotsbak wrote:
> Hmm, I wonder if this is the same I see with my M4800 running 12.04 LTS.
> A workaround for me is typing "CTRL-ALT-F1" and then "CTRL-ALT-F7". Does
> this work for you too?
>
> ** Tags added: precise
>

I can't check before April 7th. I just went on holiday
and only took my old laptop with me.

I can't remember trying that while the screen was dark.
I boot my M4800 with nomodeset to get a console - did you figure out a
better setting?

Revision history for this message
Alberto Salvia Novella (es20490446e) wrote : Re: DPMS support broken, fails to wake up the monitor after putting it to sleep

It renders the system temporarily or permanently unusable.

Changed in nvidia-graphics-drivers-331 (Ubuntu):
importance: Undecided → Critical
status: Confirmed → Triaged
Revision history for this message
Marius B. Kotsbak (mariusko) wrote :

No, I use the preinstalled Precise image from Dell, which is using these extra package entries:

deb http://dell.archive.canonical.com/updates/ precise-dell public
deb http://oem.archive.canonical.com/updates/ precise-oem-sp1 public

Revision history for this message
Raj B (bigwoof) wrote :

Hi,

I was planning to start a new bug, but I believe my bug is similar to this except that I have different symptoms.

I have a custom built media PC with a Nvidia GT 640 Rev 2 (GK208) video card. The HDMI output is connected to an Onkyo 3010 receiver which is then connected to a projector.

The issue I have is that everything works up to the point where I turn off the projector (i.e., shut everything down). When that happens, I cannot get back the display. Turning the projector on just shows a blank screen which does not respond to any input. This is similar to the suspend/resume and DKMS bugs already reported except that I do not explicitly suspend or resume --- I just switch off the display (i.e. receiver).

switching to a virtual console (Alt-F1) and then coming back shows a garbled display where I can't see anything clearly, but at least now I can see something. the only solution is to kill lightdm and restart the X server.

I am using Trusty with XFCE. I have this bug with the trusty version of the nvidia 331.38 driver and with the xorg-edgers version of 331.38 and 334.21.

The funny thing is that this used to work in Saucy. Everything was fine with the xorg-edgers 331.38 driver (I could not use the default saucy 319 driver as it would detect my video card).

I've tried removing nvidia-prime, DKMS is disabled (the screen never turns on if the projector is on), and neither works.

not sure what to do now. not even sure how to debug this. I was planning to attach kprobes or something to the nvidia driver to see what signals it is losing when the projector switches off. But I'm not sure how to interpret that data. This is a fairly major bug as I can't turn off the receiver anymore :-(

Thanks,

Raj

Revision history for this message
Raj B (bigwoof) wrote :

to clarify, switching off the projector is fine. turning off the receiver causes the issue. In all cases, nothing is done to the computer itself. It is on and fully operational at all times (i.e., it is never suspended / shut down etc.).

Raj

Revision history for this message
Michael Neuffer (neuffer) wrote : Re: [Bug 1268151] Re: DPMS support broken, fails to wake up the monitor after putting it to sleep

On 31.03.2014 18:48, Raj B wrote:
> to clarify, switching off the projector is fine. turning off the
> receiver causes the issue. In all cases, nothing is done to the computer
> itself. It is on and fully operational at all times (i.e., it is never
> suspended / shut down etc.).

What happens when you connect the projector directly to your PC?

I sometimes have a similar issue with a Samsung TV, a Denon 4308
Receiver and a Raspberry Pi. The problem here is the receiver in the middle.

Cheers
  Mike

Revision history for this message
Raj B (bigwoof) wrote : Re: DPMS support broken, fails to wake up the monitor after putting it to sleep

Have not tried that. it's kind of difficult to reconnect it that way.

The thing is that this has worked perfectly from ubuntu 10.10 (Maverick Merkeet) all the way to Saucy Salamander. so perfectly fine with a nVidia card and an Onkyo receiver for more than 3 1/2 years.

I upgraded the video card from an older GT 220 to a GT 640 late last year. But that setup was working fine for months with Saucy Salamander.

The trouble only started from two Saturdays ago (22nd March 2014) when I upgraded to Trusty. The "new" trusty nVidia driver (version 3.31) was working fine in Saucy as well (as I needed to upgrade to that to support the GT 640).

I've tried the following in Trusty with no results

1) tried the ubuntu and xorg-edgers version of the nvidia 3.31 driver. also tried the nvidia-331-updates package from ubuntu as well

2) tried the nvidia 3.34 driver from xorg-edgers

3) disabled all power management using xset, commands in xorg.conf and installing xscreensaver and setting it to disabled. this is working as the screen never goes off.

4) rebooted into the saucy linux kernel (3.11-20) that used to work. same effect as the trust 3.13 kernel.

5) updated everything from xorg-edgers

not sure what else to try. I doubt this is a hardware issue as the same setup just used to work with the previous ubuntu version. no cables, hardware etc. have changed. except for the software upgrade.

Any ideas?

Raj

Revision history for this message
Raj B (bigwoof) wrote :

6) I have also tried with nvidia-prime and bbswitch purged as well (bumblebee has never been installed). same problem.

Raj

Revision history for this message
Ivan R. (mavrik) wrote :

 @Marius and @Michael: I confirm your workaround *works*. Same machine (Dell M4800). At least we can recover it and don't have to reboot for now. Working on Ubuntu 14.04.

Revision history for this message
Michael Neuffer (neuffer) wrote :

@Ivan R.: Good to hear, I'll also verify the "CTRL-ALT-F1" - "CTRL-ALT-F7" workaround next week when I'll have access to my M4800 again. How is your console configured? Do you boot the kernel with the "nomodeset" parameter?

Revision history for this message
Ivan R. (mavrik) wrote :

My case: "nomodeset" is added at boot (I had to add it at install time, otherwise it wasn't working at all). What do you like to know about console? What I can say is that TTYs don't work (if I switch to any of them with Ctrl+Alt+F1-F6), this is a problem which I need to solve but it's pending.

Something important: it has just started working as it should! You suspend the machine, and then when returning it works as it is supposed to; no black screen at all. I'm not sure which of these two things helped:
* Changed to nvidia-updates instead of nvidia.
* I had already enabled on BIOS the "S3 Sleep block". When I found that the workaround did the trick, I disabled it again (to be able to suspend when closing the monitor).

Well... now it works. This is crazy.

Revision history for this message
Ivan R. (mavrik) wrote :

However... if you have enabled turning off screen while inactive (in my case 5 min), it won't come as it should and black screen is there (fortunately workaround mentioned before works).

Revision history for this message
Arjen (acm-tweakers) wrote :

I have the same issue with my HTPC, using a brand new Pioneer receiver (and the same with a older Marantz). Switching either of those receivers in standby is probably similar to just pulling out the hdmi-plug.

In the Xorg.0.log I see this, when I turn a receiver off:
(II) NVIDIA(0): Setting mode "NULL"

And when the receiver is turned back on again, I see the normal report of its EDID information.

I have another workaround to switch it back on again, since I use x11vnc, I have access to my display server via the network. Using nvidia-settings I can see under "X Server Display Configuration" it has switched the "Resolution" to off. Switching that back to Auto or 1920x1080 also re-enables my screen.

When I do that, I see this in the Xorg.0.log:
(II) NVIDIA(0): Setting mode "DPY-1:1920x1080+0+0"

It'd be nice if it did that automatically when the screen is turned on again.

Revision history for this message
Raj B (bigwoof) wrote :

Arjen,

interesting. I see the same "Setting mode "NULL"" entry in the log. will see if I can prod the display back on using nvidia-settings

Also, the same thing happens when the HTPC is connected directly to the projector (bypassing the Onkyo receiver).

Raj

Revision history for this message
Michael Neuffer (neuffer) wrote : Re: [Bug 1268151] Re: DPMS support broken, fails to wake up the monitor after putting it to sleep

On 05.04.2014 10:31, Arjen wrote:
> I have the same issue with my HTPC, using a brand new Pioneer receiver
> (and the same with a older Marantz). Switching either of those receivers
> in standby is probably similar to just pulling out the hdmi-plug.
>
> In the Xorg.0.log I see this, when I turn a receiver off:
> (II) NVIDIA(0): Setting mode "NULL"
>
> And when the receiver is turned back on again, I see the normal report
> of its EDID information.
>
> I have another workaround to switch it back on again, since I use
> x11vnc, I have access to my display server via the network. Using
> nvidia-settings I can see under "X Server Display Configuration" it has
> switched the "Resolution" to off. Switching that back to Auto or
> 1920x1080 also re-enables my screen.
>
> When I do that, I see this in the Xorg.0.log:
> (II) NVIDIA(0): Setting mode "DPY-1:1920x1080+0+0"
>
> It'd be nice if it did that automatically when the screen is turned on
> again.
>

Guys, what you're describing is an entirely DIFFERENT issue.
This is an HDMI handshaking issue that plagues many receivers
and other devices in the middle of an HDMI chain.

Please open a seperate bug for this.

Revision history for this message
Mario Limonciello (superm1) wrote : Re: DPMS support broken, fails to wake up the monitor after putting it to sleep

bigwoof, Arjen: i'm encountering the same issue as you guys; I've filed a bug here: https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1308105
so that we can separate neuffer's issue and our issue.

Thanks!

Revision history for this message
Nick Skeen (nskeen0) wrote :

I have a Nvidia GK107 (gt 640) connected to a Funai tv by hdmi and it started doing the same thing after I upgraded to 14.04. The monitor doesn't wake up after you turn it off till you kill X or reboot. I've tried turning off DPMS and I've tried switching to nouveau and it still does the same thing.

Revision history for this message
Bubu Fearn (bubu-fearn) wrote :

If you Google "Ubuntu fails to wake after monitor off" You will see this bug is literally YEARS old.

..... and its still not fixed.

Golf clap guys.

Revision history for this message
Eduardo Santiago (ubuntu-le) wrote :

FWIW: same problem, same laptop (Dell M4800 with NVIDIA Corporation GK106GLM [Quadro K2100M] QHD+), nvidia 343.22 (proprietary). Ctrl-Alt-F1 + Ctrl-Alt-F7 workaround restores backlight.

Revision history for this message
In , Freedesktop-7 (freedesktop-7) wrote :

Created attachment 108419
Xorg.0.log

X screen blanks after timeout, but backlight remains on forever. "xset dpms force off" has no effect. "vbetool dpms off" does turn off the backlight. Using nvidia proprietary driver, "xset dpms force off" turns off backlight but then has other issues ( https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268151 )

Curiously, and possibly related, "xset s activate" (via ssh and/or using sleep 1) has no effect. It does not blank the screen.

Possibly related, from Xorg.0.log:

    [ 27.193] (II) NOUVEAU(0): No DPMS capabilities specified

version: nouveau from kernel 3.16.6-gentoo.

Revision history for this message
In , Freedesktop-7 (freedesktop-7) wrote :

Created attachment 108419
Xorg.0.log

X screen blanks after timeout, but backlight remains on forever. "xset dpms force off" has no effect. "vbetool dpms off" does turn off the backlight. Using nvidia proprietary driver, "xset dpms force off" turns off backlight but then has other issues ( https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268151 )

Curiously, and possibly related, "xset s activate" (via ssh and/or using sleep 1) has no effect. It does not blank the screen.

Possibly related, from Xorg.0.log:

    [ 27.193] (II) NOUVEAU(0): No DPMS capabilities specified

version: nouveau from kernel 3.16.6-gentoo.

Revision history for this message
Marius B. Kotsbak (mariusko) wrote :

I wonder if this is fixed in 14.10. I was not able to reproduce the problem now.

Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: New → Incomplete
Revision history for this message
Marius B. Kotsbak (mariusko) wrote :

It still there in 14.10.

tags: added: utopic
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Incomplete → Confirmed
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
importance: Undecided → Critical
status: Confirmed → Triaged
Revision history for this message
Ivan R. (mavrik) wrote :

Unbelievable, it's still present in 14.10 and nobody takes care after years. Now "triaged".

Revision history for this message
Marius B. Kotsbak (mariusko) wrote :

Please make sure you have updated to the latest BIOS firmware for Dell M4800 (probably release date 9/16/2014) . I just did and have not seen this problem since then.

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Triaged → Incomplete
summary: - DPMS support broken, fails to wake up the monitor after putting it to
- sleep
+ [Dell M4800] DPMS support broken, fails to wake up the monitor after
+ putting it to sleep
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Triaged → Incomplete
Changed in xserver-xorg-video-nouveau (Ubuntu):
status: New → Incomplete
Changed in dell:
status: New → Incomplete
Changed in hwe-next:
status: New → Incomplete
Changed in oem-priority:
status: New → Incomplete
Changed in nouveau:
importance: Unknown → Low
status: Unknown → Confirmed
Revision history for this message
Ivan R. (mavrik) wrote :

Latest BIOS is A09 up to now. The problem still exists.

Revision history for this message
Michael Neuffer (neuffer) wrote :

I can confirm that, as of today the latest BIOS for the Dell Precision M4800 is A09.
The problem still exists with this BIOS version.

BIOS version A10 was made available only for a very short period and then replaced
again with A09, since it tended to brick the machine.

Revision history for this message
Marius B. Kotsbak (mariusko) wrote :

Ok, I also have A09 released 2014-06-26. The other thing I did was to install the latest Nvidia drivers in Windows, but I did not think this updates any firmware in the graphics card?

After that, I have almost not seen this issue anymore, but maybe once.

Changed in dell:
status: Incomplete → Confirmed
Changed in hwe-next:
status: Incomplete → New
Changed in oem-priority:
status: Incomplete → New
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Incomplete → Confirmed
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Incomplete → Confirmed
Changed in xserver-xorg-video-nouveau (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Marius B. Kotsbak (mariusko) wrote :

As this is seen both with Nvidia driver and nouveau driver, I guess this is not related to these drivers, but an issue in Xorg, or some communication between BIOS and kernel/Xorg to wake up the screen again.

This issue is reproducible by running "xset dpms force off; sleep 5; xset dpms force on" in a terminal inside X.

Changed in xorg-server:
importance: Unknown → Low
status: Unknown → Confirmed
Changed in xorg (Ubuntu):
status: New → Confirmed
Changed in oem-priority:
status: New → Confirmed
Changed in hwe-next:
status: New → Confirmed
Changed in xorg (Ubuntu):
importance: Undecided → Critical
Changed in xserver-xorg-video-nouveau (Ubuntu):
importance: Undecided → Critical
no longer affects: xserver-xorg-video-nouveau (Ubuntu)
no longer affects: nvidia-graphics-drivers-331-updates (Ubuntu)
no longer affects: nvidia-graphics-drivers-331 (Ubuntu)
no longer affects: xorg (Ubuntu)
affects: oem-priority → xorg (Ubuntu)
Changed in xorg (Ubuntu):
status: Confirmed → New
no longer affects: xorg (Ubuntu)
affects: hwe-next → xorg (Ubuntu)
Changed in xorg (Ubuntu):
status: Confirmed → New
no longer affects: xorg (Ubuntu)
affects: dell → xorg (Ubuntu)
no longer affects: xorg (Ubuntu)
affects: nouveau → xorg (Ubuntu)
Changed in xorg (Ubuntu):
importance: Low → Undecided
status: Confirmed → New
no longer affects: xorg (Ubuntu)
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Michael Neuffer, could you please boot into the kernel that comes with Ubuntu by default (i.e. not 3.11.x) and execute the following in a terminal as it will automatically gather and attach updated debug information to this report:

apport-collect -p xorg 1268151

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

affects: xorg-server → xorg (Ubuntu)
Changed in xorg (Ubuntu):
importance: Low → Undecided
status: Confirmed → New
importance: Undecided → Low
status: New → Incomplete
description: updated
Revision history for this message
Michael Neuffer (neuffer) wrote : Re: [Bug 1268151] Re: [Dell M4800] DPMS support broken, fails to wake up the monitor after putting it to sleep

On 01.12.2014 11:57, Christopher M. Penalver wrote:
> Michael Neuffer, could you please boot into the kernel that comes with
> Ubuntu by default (i.e. not 3.11.x)

What do you mean with "that comes with Ubuntu by default" ?
I currently use 3.16.0-26-generic

> and execute the following in a
> terminal as it will automatically gather and attach updated debug
> information to this report:
>
> apport-collect -p xorg 1268151
>
> Please ensure you have xdiagnose installed,

That is currently not possible:
-----------------------------------------------
root@charion:~# apt-get install xdiagnose
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  xdiagnose : Depends: python3-pygtk but it is not installable
              Recommends: intel-gpu-tools but it is not going to be
installed
E: Unable to correct problems, you have held broken packages.
--------------------------------------------------------

Once the dependcy can be fullfilled I can install it.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Michael Neuffer, you will want to boot into a live environment via http://cdimage.ubuntu.com/daily-live/current/ and then perform the apport-collect.

Revision history for this message
Marius B. Kotsbak (mariusko) wrote :

I contacted Dell support about the issue, and in addition to being requested to upgrade the BIOS, I was also pointed to this new driver package: http://www.dell.com/support/home/us/en/04/Drivers/DriversDetails?driverId=V9HNV

I have not yet tried is, as it might only work for 12.04 Dell branded Ubuntu, but I see that it contains many .deb files that might work for newer versions too, including Nvidia drivers and "screen-resolution-extra[..].deb".

Does anyone running the original Dell supported Ubuntu version see this issue? If so, does the driver package above solve the problem?

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Marius B. Kotsbak, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

For more on this, please see the official Ubuntu documentation:
Ubuntu X.Org Team, Ubuntu Bug Control, and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report will delay your problem being addressed as quickly as possible.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Revision history for this message
Marius B. Kotsbak (mariusko) wrote :

I opened a new bug report #1400235 for my particular hardware. Also, the problem is is present in todays Vivid daily image (booted with "nomodeset").

description: updated
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Marius B. Kotsbak, devtalk (aka a forum) is not reporting to NVIDIA. Please do not adjust the Bug Description with forum posts.

description: updated
Revision history for this message
Marius B. Kotsbak (mariusko) wrote :

Î'm adding it here for reference then:

Issue discussed/reported to Nvidia here: https://devtalk.nvidia.com/default/topic/726285/missing-vt-output-with-all-current-drivers-on-qhd-k2100m/

But yes, there seems to be Nvidia engineers looking there, as "sandipt" commented "filed Bug 1512547 to track this issue" in the mentioned forum. I'm not sure if that bug tracker is public anywhere.

Revision history for this message
Marius B. Kotsbak (mariusko) wrote :

After update to nvidia-331-updates package version 331.113-0ubuntu0.1, it seems like the problem is solved for me.

Revision history for this message
Erich Schubert (erich) wrote :

It appears that sometimes, nvidia is losing the *display* information.

(II) NVIDIA(0): Setting mode "NULL"

I can recover my display by running

xrandr --auto

Note: this may not work when you are logged into the console - you may want to use something like "sleep 3; xrandr --auto" and then switch via Ctrl+Alt+F7 within three seconds. I usually login from a remote machine.

It happens about once a month for me. :-(

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Erich Schubert, thank you for your comment. So your problem and hardware may be tracked, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

For more on this, please see the official Ubuntu documentation:
Ubuntu X.Org Team, Ubuntu Bug Control, and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Revision history for this message
Marius B. Kotsbak (mariusko) wrote :

Dell has released a new BIOS version A11, including new versions for display and ACPI which might solve this issue.

tags: added: needs-xorg-ac
tags: added: erm wily
Revision history for this message
Marius B. Kotsbak (mariusko) wrote :

Same problem in Xenial (16.04 LTS).

tags: added: xenial
tags: removed: precise utopic wily
Revision history for this message
Michael Neuffer (neuffer) wrote :

With BIOS A25 and eoan it is still not fixed.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Michael Neuffer, this report has been missing key information since 2014 -> https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1268151/comments/33 .

Hence, could you please test http://cdimage.ubuntu.com/daily-live/current/ and if reproducible please run the following command once from a terminal by ensuring you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information:
apport-collect 1268151

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.